> ## Documentation Index
> Fetch the complete documentation index at: https://www.zinc.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Product Search

> Endpoint to search for products.

Get search results from a retailer based on a query term. Results include product id, title, image url, number of reviews, star rating, and price.


## OpenAPI

````yaml GET /v1/search
openapi: 3.0.0
info:
  title: Zinc API
  version: 1.0.0
  description: API for placing orders and retrieving product data from top retailers.
servers:
  - url: https://api.zinc.io
    description: Production server
security:
  - basicAuth: []
paths:
  /v1/search:
    get:
      summary: Product Search
      description: Search for products across supported retailers.
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
          description: The search query
        - name: page
          in: query
          required: false
          schema:
            type: integer
          description: The page number for pagination
        - name: retailer
          in: query
          required: true
          schema:
            type: string
          description: >-
            The retailer for the product. See [Supported
            Retailers](/supported-retailers) for a list of supported retailers.
      responses:
        '200':
          description: Search results retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResponse'
components:
  schemas:
    SearchResponse:
      type: object
      description: Response for product search
      properties:
        status:
          type: string
          description: >-
            Status of the request. You will only see `processing` if `async:
            true` was set on the request
          enum:
            - processing
            - failed
            - completed
        timestamp:
          type: number
          description: Timestamp of the search
        retailer:
          type: string
          description: The retailer searched
        results:
          type: array
          description: Array of search results
          items:
            type: object
            properties:
              product_id:
                type: string
                description: The product ID
              title:
                type: string
                description: The product title
              image:
                type: string
                description: The product image URL
              num_reviews:
                type: number
                description: Number of reviews
              stars:
                type: string
                description: Star rating
              fresh:
                type: boolean
                description: Whether the item is fresh
              price:
                type: number
                description: The product price in cents
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your client token as the username. Leave the password blank.

````